﻿namespace ODM.Backend.Models.Enums
{
	public enum MessageTopicEnum
	{
		/// <summary>
		/// Bez tématu
		/// </summary>
		NoTopic,
		/// <summary>
		/// Prohlášení (Něco se stalo, generická zpráva)
		/// </summary>
		Announcement,
		/// <summary>
		/// Pozvánka na akci
		/// </summary>
		Invitation,
		/// <summary>
		/// Změna programu
		/// </summary>
		ProgramChange,
		/// <summary>
		/// Změna dopravy
		/// </summary>
		TransportChange,
		/// <summary>
		/// Nové informace o něčem
		/// </summary>
		Update
	}
}