﻿using System;
using ODM.Backend.Models.Enums;

namespace ODM.Backend.Models.Models.Interfaces
{
	public interface IMessage : IDbItem
	{
		DateTime Date { get; set; }
		string Text { get; set; }
		string Title { get; set; }
		bool IsImportant { get; set; }
		MessageTopicEnum Topic { get; set; }
	}
}