﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using ODM.Backend.Models.Models;
using Skeleton.Mobile.Framework.Data.Manager;

namespace Skeleton.Mobile.ODM.Backend.Managers
{
	public class MessageManager : AbsManager
	{
		/// <summary>
		/// Vrátí seznam všech zpráv
		/// </summary>
		/// <returns></returns>
		public async Task<List<Message>> GetAll()
		{
			try
			{
				var result = (await DataManager.GetMessageData()).Messages;

				return result;
			}
			catch (Exception ex)
			{
				await this.HandleException(ex);
				return null;
			}
		}
	}
}