﻿using System.Reflection;
using Android.App;
using Android.Content;
using Android.Content.PM;
using Android.OS;
using Skeleton.Mobile.ODM.Backend.Managers;

namespace Skeleton.Mobile.ODM.Droid
{
	[Activity(MainLauncher = true, NoHistory = true, Theme = "@style/SplashscreenTheme", ScreenOrientation = ScreenOrientation.Portrait,
		ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
	public class SplashScreen : Activity
	{
		protected override async void OnCreate(Bundle bundle)
		{
			base.OnCreate(bundle);

			Framework.Device.Device.Instance = new Framework.Device.Droid.Device(this, Assembly.GetExecutingAssembly());

			var intent = new Intent(this, typeof(MainActivity));
			StartActivity(intent);
		}
	}
}