﻿using Skeleton.Mobile.ODM.DependencyServices;
using Skeleton.Mobile.ODM.iOS.DependencyServices;
using UIKit;
using Xamarin.Forms;

[assembly: Dependency(typeof(StatusBar))]
namespace Skeleton.Mobile.ODM.iOS.DependencyServices
{
	class StatusBar : IStatusBar
	{
		public int GetHeight()
		{
			int statusHeight = (int)UIApplication.SharedApplication.StatusBarFrame.Height;
			var controller = new UINavigationController();
			int navHeight = (int)controller.NavigationBar.Bounds.Height;
			return navHeight;
		}
	}
}
