﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using UIKit;
using Skeleton.Mobile.Framework.Device;
using Skeleton.Mobile.Framework.Error.Log;
using System.Reflection;
using Skeleton.Mobile.ODM.Backend.Managers;

namespace Skeleton.Mobile.ODM.iOS
{
	public class Application
	{
		// This is the main entry point of the application.
		static void Main(string[] args)
		{
			// if you want to use a different Application Delegate class from "AppDelegate"
			// you can specify it here.
			try
			{
				UIApplication.Main(args, null, "AppDelegate");
			}
			catch (Exception ex)
			{
				if (!Framework.Device.Device.IsDeviceInitialized)
				{
					Framework.Device.Device.Instance = new Framework.Device.iOS.Device(Assembly.GetExecutingAssembly(), NSBundle.MainBundle);
				}

				FatalErrorLog.Instance.HandleException(ex);
			}
		}
	}
}
