﻿using Skeleton.Mobile.Framework.Controls.Forms.Pages;
using Skeleton.Mobile.ODM.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Skeleton.Mobile.Framework.Error.Log;
using Xamarin.Forms;

namespace Skeleton.Mobile.ODM
{
	public partial class App : Application
	{
		public App ()
		{
			InitializeComponent();

			MainPage = new SplashscreenPage();
		}

		protected override async void OnStart()
		{
			await ErrorLog.Instance.AppStarted();
		}

		protected override async void OnSleep()
		{
			await ErrorLog.Instance.AppGoToBackground();
		}

		protected override async void OnResume()
		{
			await ErrorLog.Instance.AppGoToForegroud();
		}
	}
}
