﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace Skeleton.Mobile.ODM.Converters
{
	public class BoolToMenuItemStyleConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (targetType == typeof(Style) && value is bool)
			{
				if ((bool)value)
				{
					return Fetchstyle("MenuItemStyleSelected");
				}
				else
				{
					return Fetchstyle("MenuItemStyle");
				}
			}
			else
			{
				return value;
			}
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		private Style Fetchstyle(string styleName)
		{
			return Application.Current.Resources[styleName] as Style;
		}
	}
}