﻿using System;
using ODM.Backend.Models.Enums;

namespace Skeleton.Mobile.ODM.Models.Events
{
	public class VenueCityChangedEventArgs : EventArgs
	{
		string selectedCity;

		public VenueCityChangedEventArgs(string selectedCity)
		{
			this.selectedCity = selectedCity;
		}

		public string SelectedCity
		{
			get { return selectedCity; }
		}
	}
}