﻿using Skeleton.Mobile.Framework.Controls.Assistant;
using Skeleton.Mobile.Framework.Data.Manager;
using Skeleton.Mobile.ODM.Backend.Configuration;

namespace Skeleton.Mobile.ODM.Tools
{
	public class AssistantFactory : IManagerAssistantFactory
	{
		public AbsManagerAssistant CreateManagerAssistant(IBackgroundPage page, AbsManager manager, string loadingText,
														  bool startPageBackgroundWorking = true, bool finishAfterError = false, bool showDialogAfterError = true,
														  bool showDialogAfterNetworkError = true)
		{
			return new ManagerAssistant(page, manager, loadingText, startPageBackgroundWorking, finishAfterError, showDialogAfterError, showDialogAfterNetworkError);
		}

		public string ApplicationID => ODMConfig.ApplicationId;

		public string DatabaseName => null;

		public void CommitConnectionCache()
		{
		}
	}
}