﻿using System;
using System.Runtime.CompilerServices;
using ODM.Backend.Models.Models;
using ODM.Backend.Models.Models.Interfaces;

namespace Skeleton.Mobile.ODM.ViewModels.ItemViewModels
{
	public class EventItemCalendarViewModel : EventItemViewModel
	{

		public EventItemCalendarViewModel(Event @event, Competition comp, Venue venue, Sport sport) : base(@event, comp, false, venue)
		{
			this.Sport = sport;
			base.IsInCalendar = true;
		}

		public Sport Sport { get; set; }

		//Sport - Turnaj: info
		public string ComTitle
		{
			get
			{
				if (Sport != null) return $"{Sport.ToString()} - {base.compModel.ToString()}";
				return base.compModel.ToString();
			}
		}
	}
}