﻿using System;
using System.Globalization;
using ODM.Backend.Models.Enums;
using ODM.Backend.Models.Models.Interfaces;

namespace Skeleton.Mobile.ODM.ViewModels.ItemViewModels
{
	public class MessageItemViewModel : IMessage
	{
		public DateTime Date { get; set; }
		public string Text { get; set; }
		public string Title { get; set; }
		public bool IsImportant { get; set; }
		public MessageTopicEnum Topic { get; set; }
		public bool IsScheduled { get; set; }

		public string DateText => Date.ToString("dd/MM/yyyy", new CultureInfo("cs-CZ")) + " " + Date.ToString("t", new CultureInfo("cs-CZ"));
		//TODO: změna interfacu
		public int Id { get; set; }
		public bool IsRemoved { get; set; }
	}
}