﻿using Skeleton.Mobile.Framework.Controls.Forms.ViewModels;
using Skeleton.Mobile.ODM.Backend.Managers;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Skeleton.Mobile.ODM.ViewModels
{
	class SplashscreenViewModel : CancellationViewModel
	{
		protected override async Task<bool> LoadDataInternal()
		{
			this.SetBackgroundWorking(true);
			await DataUpdateManager.Instance.CheckOrUpdateData();
			this.SetBackgroundWorking(false);
			return await base.LoadDataInternal();
		}
	}
}
