﻿using Skeleton.Mobile.Framework.Controls.Forms.Pages.TabPageLoading;
using Skeleton.Mobile.Framework.Controls.Forms.ViewModels;
using Skeleton.Mobile.ODM.ViewModels;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Skeleton.Mobile.ODM.Tools;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Skeleton.Mobile.ODM.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class ProgramByCityPage : AbsLoadingTabPage
	{
		private ProgramByCityViewModel vM;
		public ProgramByCityPage()
		{
			InitializeComponent();
			this.Title = "MainProgramRootPage_ByCity".LocalizeResx();
		}

		public override void OnDataLoaded()
		{
		}

		protected override CancellationViewModel CreateLoadingViewModel()
		{
			this.vM = new ProgramByCityViewModel();
			return this.vM;
		}

		protected override List<Page> GetPages()
		{
			var output = new List<Page>();
			foreach (var city in vM.Cities){
				var page = new CompetitionListPage(vM.CityCompetitionVmDictionary[city]);
				page.Title = city;
				output.Add(page);
			}
			
			return output;
		}
	}
}