﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using AutoMapper;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using ODM.Backend.Models.Models;
using ODMWeb.DL;
using ODMWeb.Models.ItemViewModels;
using ODMWeb.Models.Message;
using ODMWebService.DL.Entities.Enums;
using Serilog;

namespace ODMWeb.Controllers
{
	[Authorize]
	public class EntertainmentController : AbsSideProgrammeController
	{
		public EntertainmentController(IUnitOfWork unitOfWork, IMapper mapper) : base(unitOfWork, mapper)
		{
			base.GetCompTask = unitOfWork.Competitions.GetEntertainment();
			base.logger = Log.ForContext<EntertainmentController>();
		}
	}
}