﻿using System.ComponentModel.DataAnnotations;

namespace ODMWeb.Models.Account
{
	public class LoginViewModel
	{
		[Required(ErrorMessage = "LoginViewModel_NameRequired")]
		[Display(Name = "LoginViewModel_Name")]
		public string Name { get; set; }

		[Required(ErrorMessage = "LoginViewModel_PasswordRequired")]
		[DataType(DataType.Password)]
		[Display(Name = "LoginViewModel_Password")]
		public string Password { get; set; }

		[Display(Name = "LoginViewModel_RememberMe")]
		public bool RememberMe { get; set; }
	}
}