﻿using System;
using ODM.Backend.Models.Enums;
using ODM.Backend.Models.Models.Interfaces;
using ODMWeb.DL.Entities.Interfaces;
using ODMWeb.DL.Repositories.Interfaces;

namespace ODMWeb.Models.ItemViewModels
{
	public class MessageItemViewModel : IMessage, IOdmDbItem, ILocalDataLifecycle
	{
		public int Id { get; set; }
		public DateTime Date { get; set; }
		public string Text { get; set; }
		public string Title { get; set; }
		public bool IsImportant { get; set; }
		public MessageTopicEnum Topic { get; set; }
		public bool IsScheduled { get; set; }
		public bool IsApproved { get; set; }
		public bool IsRemoved { get; set; }
		public bool IsSerialized { get; set; }
		public bool IsModified { get; set; }
	}
}