﻿using System.Collections.Generic;
// ReSharper disable CheckNamespace

namespace ODM.Backend.Models.Models
{
	public class IdItem
	{
		public string Key { get; set; }
		public string Name { get; set; }

		public IdItem(string key, string name)
		{
			Key = key;
			Name = name;
		}

		public IdItem()
		{
			
		}


		public override bool Equals(object obj)
		{
			return EqualityComparer<string>.Default.Equals(this.Key, (obj as IdItem)?.Key);
		}

		public override int GetHashCode()
		{
			if (Key == null)
			{
				return 0;
			}
			else
			{
				return this.Key.GetHashCode();
			}
		}

		/// <summary>
		/// Vrátí DisplayName
		/// </summary>
		/// <returns></returns>
		public override string ToString()
		{
			return this.Name;
		}
	}
}