﻿using System.Collections.Generic;
using Skeleton.Mobile.Framework.Data.Configuration;
using Skeleton.Mobile.Framework.Data.Interfaces;
using Skeleton.Mobile.Framework.Data.WebRepositories.WebService.Models;

namespace Skeleton.Mobile.ODM.Backend.Configuration
{
	public class ODMConfigurationFactory : AbsConfigurationFactory
	{

		protected override List<WebServiceModel> AppWebServiceList
		{
			get
			{
				return new List<WebServiceModel>()
				{
						new WebServiceModel(0,"AspOne", "http://odmw.aspfree.cz/api/"),
						new WebServiceModel(1,"Doma","http://192.168.0.2:5000/api/"),
				};
			}
		}

		protected override byte AppDefaultWebServiceId => 0;
		protected override byte NotificationtWebServiceId => AbsConfigurationFactory.TestNotificationServiceId;


		public override IConfig SFMConfiguration => new ODMConfig();
	}
}
