﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace Skeleton.Mobile.ODM.Converters.Abstract
{
	abstract class BoolToIconConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if ((bool)value)
			{
				return ActiveIcon;
			}
			else
			{
				return NoActiveIcon;
			}
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		protected abstract string NoActiveIcon { get; }
		protected abstract string ActiveIcon { get; }
	}
}
