﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;
using Xamarin.Forms;

namespace Skeleton.Mobile.ODM.Converters
{
	class MessageIsImportantToColorConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (value == null || value.GetType() != typeof(bool))
			{
				return (Color) App.Current.Resources["PrimaryTextColor"];
			}

			bool isImportant = (bool) value;

			if (isImportant)
			{
				return (Color) App.Current.Resources["RedColor"];
			}
			else
			{
				return (Color)App.Current.Resources["PrimaryTextColor"];
			}
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
