﻿using System;
using ODM.Backend.Models.Enums;

namespace Skeleton.Mobile.ODM.Models.Events
{
	public class VenueTypeChangedEventArgs : EventArgs
	{
		VenueTypeEnum selectedType;

		public VenueTypeChangedEventArgs(VenueTypeEnum selectedType)
		{
			this.selectedType = selectedType;
		}

		public VenueTypeEnum SelectedType
		{
			get
			{
				return selectedType;
			}
		}
	}
}