﻿using System;
using System.Windows.Input;
using Skeleton.Mobile.ODM.Tools;
using Xamarin.Forms;

namespace Skeleton.Mobile.ODM.ViewModels
{
	public class SponsorsPageViewModel
	{
		private string JizerskaOpsLink => "https://www.jizerskaops.cz/";
		private string JablonecLink => "https://www.mestojablonec.cz/";
		private string LiberecLink => "https://www.liberec.cz/cz/";
		private string BedrichovLink => "http://www.bedrichov.cz/";

		private void JablonecWebCommand_Execute()
		{
			Xamarin.Forms.Device.OpenUri(new Uri(JablonecLink));
		}
		private void JizerskaOpsWebCommand_Execute()
		{
			Xamarin.Forms.Device.OpenUri(new Uri(JizerskaOpsLink));
		}
		private void LiberecWebCommand_Execute()
		{
			Xamarin.Forms.Device.OpenUri(new Uri(LiberecLink));
		}
		private void BedrichovWebCommand_Execute()
		{
			Xamarin.Forms.Device.OpenUri(new Uri(BedrichovLink));
		}

		public ICommand JablonecWebCommand { get; set; }
		public ICommand JizerskaOpsWebCommand { get; set; }
		public ICommand LiberecWebCommand { get; set; }
		public ICommand BedrichovWebCommand { get; set; }

		public SponsorsPageViewModel()
		{
			this.JablonecWebCommand = new Command(JablonecWebCommand_Execute);
			this.JizerskaOpsWebCommand = new Command(JizerskaOpsWebCommand_Execute);
			this.LiberecWebCommand = new Command(LiberecWebCommand_Execute);
			this.BedrichovWebCommand = new Command(BedrichovWebCommand_Execute);
		}
	}
}