﻿using System;
using System.Collections.Generic;
using Skeleton.Mobile.ODM.Models;
using Skeleton.Mobile.ODM.Models.Events;
using Skeleton.Mobile.ODM.ViewModels.ComponentViewModels;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Skeleton.Mobile.ODM.Views.Components
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class MultiSelectPage : ContentPage
	{
		private MultiSelectViewViewModel viewModel;

		public MultiSelectPage(MultiSelectViewViewModel vM)
		{
			InitializeComponent();
			this.viewModel = vM;
			this.BindingContext = this.viewModel;
		}


		public void ListViewItem_OnItemSelected(object sender, SelectedItemChangedEventArgs e)
		{
			if (e.SelectedItem != null)
			{
				this.viewModel.ListItemClicked(((MultiSelectItem)e.SelectedItem).Index);
				(sender as ListView).SelectedItem = null;
			}
		}
	}
}