﻿using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Skeleton.Mobile.ODM.Views.CustomViews
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class ItemFrameView : ContentView
	{
		public ItemFrameView()
		{
			InitializeComponent();
		}

		private ContentView mainContent;

		public ContentView MainContent
		{
			get => this.mainContent;
			set
			{
				this.mainContent = value;
				this.MainFrame.Content = this.mainContent;
				this.OnPropertyChanged();
			}
		}
	}
}