﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Skeleton.Mobile.Framework.Controls.Forms.Pages.TabPageLoading;
using Skeleton.Mobile.Framework.Controls.Forms.ViewModels;
using Skeleton.Mobile.ODM.Tools;
using Skeleton.Mobile.ODM.ViewModels;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Skeleton.Mobile.ODM.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class FoodMenuRootPage : AbsLoadingTabPage
	{
		private FoodMenuRootViewModel vm;
		public FoodMenuRootPage()
		{
			InitializeComponent();
			this.Title = "FoodPage_Title".LocalizeResx();
		}

		public override void OnDataLoaded()
		{
		}

		protected override List<Page> GetPages()
		{
			var output = new List<Page>();
			if(vm.Menus != null){
				foreach (var menu in this.vm.Menus)
				{
					var page = new FoodMenuPage(new FoodMenuViewModel(menu));
					output.Add(page);
				}
			}
			return output;
		}

		protected override CancellationViewModel CreateLoadingViewModel()
		{
			 
			this.vm = new FoodMenuRootViewModel();
			return this.vm;
		}
	}
}