﻿using Skeleton.Mobile.ODM.Backend.Managers;
using Skeleton.Mobile.ODM.ViewModels;
using Skeleton.Mobile.ODM.Views.Abstract;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Skeleton.Mobile.ODM.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class SplashscreenPage : ODMPage
	{
		SplashscreenViewModel vm;
		public SplashscreenPage ()
		{
			InitializeComponent ();
			vm = new SplashscreenViewModel();
		}

		protected override async void OnAppearing()
		{
			base.OnAppearing();
			this.SetBackgroundWorking(true);
			await vm.LoadData();
			this.SetBackgroundWorking(false);
			App.Current.MainPage = new RootPage();
		}
	}
}