﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Skeleton.Mobile.ODM.Tools;
using Skeleton.Mobile.ODM.ViewModels;
using Skeleton.Mobile.ODM.Views.Abstract;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Skeleton.Mobile.ODM.Views
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class VenueSearchPage : ODMPage
	{
		VenueSearchViewModel vM = new VenueSearchViewModel();
		public VenueSearchPage ()
		{
			InitializeComponent ();
			this.BindingContext = vM;
			this.Title = "VenueSearchPage_Title".LocalizeResx();
		}

		protected override async void OnAppearing()
		{
			base.OnAppearing();
			await vM.LoadData();
		}
	}
}