﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using ODM.Backend.Models.Models.Interfaces;
using ODMWeb.DL.Entities.Interfaces;

namespace ODMWeb.DL.Entities
{
	[Table("Menus")]
	public class MenuEntity : BaseEntity, IDbItem, ILocalDataLifecycle
	{
		public MenuEntity()
		{
			this.Meals = new HashSet<MealEntity>();
		}

		public virtual ICollection<MealEntity> Meals { get; set; }
		public string Name { get; set; }
		public bool IsApproved { get; set; }
	}
}