﻿using System.ComponentModel.DataAnnotations.Schema;
using ODM.Backend.Models.Models.Interfaces;
using ODMWeb.DL.ForeignModels;

namespace ODMWeb.DL.Entities
{
	[Table("Regions")]
	public class RegionEntity : BaseEntity, IRegion
	{
		public RegionEntity(int id, string name )
		{
			this.Id = id;
			this.Name = name;
		}

		public RegionEntity()
		{
		}

		public string Name { get; set; }

		public static bool ForeignEq(RegionEntity rhs, ForeignRegion lhs)
		{
			return rhs.Name == lhs.Name;
		}
	}
}