﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace ODMWeb.DL.Repositories.Interfaces
{
	public interface IDependencies
	{
		bool Result { get; set; }
	}
	public struct BaseDependencies : IDependencies
	{
		public bool Result { get; set; }
	}

	public interface IForeign<T, E> where T : class where E : IDependencies
	{
		Task<int> UpdateFromForeign(List<T> foreignList);
		Task<E> UpdateSingleFromForeign(T foreignItem);
	}
}