﻿using System.Threading.Tasks;
using ODMWeb.DL.Entities.Serialization;

namespace ODMWeb.DataProviding.ApiProviders
{
	public interface IApiProvider<T> where T : class
	{
		T GetChanges(T client, T server);
		Task<T> GetData(SerializationRecordEntity record);
		Task<T> GetLastAvailableData(SerializationRecordEntity record);
	}
}