﻿using ODM.Backend.Models.XmlSettings;

namespace ODMWeb.DataProviding
{
	public class Config
	{
		private static string StaticFileName => FileInfo.StaticDataFileName;
		private static string MessageFileName => FileInfo.MessageDataFileName;
		private static string ProgramFileName => FileInfo.ProgramDataFileName;
		private static string ResultFileName => FileInfo.ResultDataFileName;

		public static string FolderName => "App_Data";
		private static string Extension => ".xml";

		public static string GetStaticVersionFileName(int i)
		{
			return $"{StaticFileName}_{i}{Extension}";
		}
		public static string GetProgramVersionFileName(int i)
		{
			return $"{ProgramFileName}_{i}{Extension}";
		}
		public static string GetResultVersionFileName(int i)
		{
			return $"{ResultFileName}_{i}{Extension}";
		}
		public static string GetMessageVersionFileName(int i)
		{
			return $"{MessageFileName}_{i}{Extension}";
		}
	}
}