﻿using Hangfire.Dashboard;

namespace ODMWeb.Hangfire
{
	public class HangfireAuthorizationFilter : IDashboardAuthorizationFilter
	{
		public bool Authorize(DashboardContext context)
		{
			var httpContext = context.GetHttpContext();
			return httpContext.User.Identity.IsAuthenticated && httpContext.User.IsInRole("BenevolentDictatorForLife");
		}
	}
}
