﻿using System;
using System.ComponentModel.DataAnnotations;
using ODMWeb.DL.Entities.Serialization;

namespace ODMWeb.Models.Home
{
	public class SerializationRecordItem
	{
		public int Id { get; set; }

		[Display(Name = "File_Version")]
		public int Version { get; set; }
		// static, program, data, message
		[Display(Name="File_Type")]
		public SerializationRecordType Type { get; set; }
		/// <summary>
		/// Path to file
		/// </summary>
		[Display(Name = "File_FilePath")]
		public string FilePath { get; set; }
		[Display(Name = "File_IsAvailable")]
		public bool IsAvailable { get; set; }
		[Display(Name = "File_SerializationTime")]
		public DateTime SerializationTime { get; set; }
		[Display(Name = "File_UserName")]
		public string UserName { get; set; }
	}
}