﻿using System.ComponentModel.DataAnnotations;
using ODM.Backend.Models.Models.Interfaces;
using ODMWeb.DL.Entities;

namespace ODMWeb.Models.Menu
{
	public class CreateMenuViewModel : IMenu
	{
		public int Id { get; set; }
		public bool IsRemoved { get; set; }

		[Required(ErrorMessage = "CannotBeEmpty"), MinLength(10,ErrorMessage = "Menu_MinLength")]
		public string Name { get; set; }

		public MenuEntity CreateEntity()
		{
			return new MenuEntity(){Name = this.Name};
		}
	}
}